<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Styling Properties and Position</title>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>
	<div id="div-1">This is a div</div>
	<span id="span-1">This is a span</span>
	<img src="https://place-puppy.com/450x450" id="img">
	<span id="span-2">This is a span 2</span>
	<div id="div-2">This is div 2</div>

	<h3>Notes in block, inline, and inline-block</h3>

	<p id="p-1">Block takes up the whole width</p>
	<p id="p-2">Width 60</p>
	<p id="p-3">Width 40</p>
	<p >Even if there is enough space, blocl elements do not sit next to each opther unless if they are floated.</p>

	<p>inline elemnts are things like bold and italics. you cannot control the height and width of these elements</p>
	
	<p>Inling-block sin on the same line and combines blocl and inline properties</p>
	
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	
	<hr>
	
	<h3>Float</h3>
	
	<p>The float property is used for postitioning and fomatting content eg. let an image float left to the text in a container</p>

	<p>
		<img src="https://place-puppy.com/450x450" class="img-float">
		Arcane is one of the most popular Japanese Anime Television Series, which was initially released on November 6, 2021. This series received huge popularity within the premiere of just a few episodes that it has now got a new season. Yes! Season 1 has finally premiered, and a few episodes of Arcane Season 1 have been aired. The fans are amazed by this series that after the premiere of the previous episode, they are eager to know when the next episode, which is Arcane Episode 10 Release Date. When is the next episode, Episode 10 coming out? Well, the Arcane Episode 10 Release Date is unclear. We will update once it is declared officially.
	</p>

	<hr>

	<h3>CSS units</h3>
	<h4>px vs %</h4>

	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>
	<br>
	
	<div class="parent">
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
	</div>

	<hr>

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS background properties</h3>
		</div>
		
	</section>

	<hr>

	<div class="parent-element">
		Parent Element
		<div class="child-1">I am child number 1</div>
		<div class="child-2">I am child number 2</div>
		<div class="child-3">I am child number 3</div>

	</div>
	<hr>
	<h2>Z-index example</h2>
	<p>An element with greater stack order is always above an element with lower stack</p>
	<div class="container">
		<div class="black-box">z index 1</div>
		<div class="gray-box">z index 2</div>
	</div>



</body>
</html>